1. Phase 3: Sample Evaluation
FoodGuard Mobile API
  • Authentication
    • Resolve Company
      GET
    • User Login
      POST
    • User Logout
      POST
  • Lookups
    • List Branches
      GET
    • Get Branch Details
      GET
    • List Suppliers
      GET
    • Get Supplier Details
      GET
    • List Food Categories
      GET
    • List Shipment Types
      GET
  • Batch Management
    • List Batches
      GET
    • Create Batch
      POST
    • Get Batch Details
      GET
  • Phase 1: Truck Inspection
    • Submit Truck Inspection
      POST
    • Upload Escalation Photo
      POST
  • Phase 2: Label Analysis
    • Analyze Label (OCR)
      POST
    • Update Batch OCR Data
      PATCH
  • Phase 3: Sample Evaluation
    • List Batch Samples
      GET
    • Add Sample to Batch
      POST
    • Replace Sample Photo
      PATCH
    • Delete Sample
      DELETE
  • Phase 4: Finalize
    • Finalize Batch Inspection
      POST
  • Dashboard & History
    • Get Dashboard Stats
      GET
    • Get Inspection History
      GET
  • Settings
    • Get Temperature Thresholds
  • Schemas
    • Sample
    • ShipmentTypeObject
  1. Phase 3: Sample Evaluation

Delete Sample

DELETE
/batches/{batch_id}/samples/{sample_id}
Remove a sample from an in-progress batch. Deletes associated photo from storage.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Responses

🟢200
application/json
Sample deleted successfully
Body

Example
{
    "success": true,
    "message": "string",
    "data": {
        "batch_id": 0,
        "batch_code": "string",
        "remaining_samples_count": 0
    }
}
🟠401
🟠403
🟠404
🟠422
Modified at 2026-02-23 18:27:16
Previous
Replace Sample Photo
Next
Finalize Batch Inspection
Built with